Loading...
Searching...
No Matches
zepif_init Struct Reference

`#include <zepif.h>`

## Data Fields

u16_t | zep_src_udp_port
u16_t | zep_dst_udp_port
const ip_addr_t * | zep_src_ip_addr
const ip_addr_t * | zep_dst_ip_addr
const struct netif * | zep_netif
u8_t | addr [6]

## Detailed Description

Pass this struct as 'state' to netif_add to control the behaviour of this netif. If NULL is passed, default behaviour is chosen

## Field Documentation

## addr

u8_t zepif_init::addr[6]

MAC address of the 6LowPAN device

## zep_dst_ip_addr

const ip_addr_t* zepif_init::zep_dst_ip_addr

The IP address to sed ZEP frames to (NULL = BROADCAST)

## zep_dst_udp_port

u16_t zepif_init::zep_dst_udp_port

The UDP port used to ZEP frames to (0 = default)

## zep_netif

const struct netif* zepif_init::zep_netif

If != NULL, the udp pcb is bound to this netif

## zep_src_ip_addr

const ip_addr_t* zepif_init::zep_src_ip_addr

The IP address to sed ZEP frames from (NULL = ANY)

## zep_src_udp_port

u16_t zepif_init::zep_src_udp_port

The UDP port used to ZEP frames from (0 = default)

The documentation for this struct was generated from the following file:

- src/include/netif/zepif.h